summaryrefslogtreecommitdiffstats
path: root/debian/dnsdist.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:34:31 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:34:31 +0000
commit89160199d2f8bb6322a34889e0759409073ab8c5 (patch)
tree2f97e74814335fa6af27df5c3bf8cfa4ebb99d78 /debian/dnsdist.postinst
parentAdding upstream version 1.7.3. (diff)
downloaddnsdist-4d64720cae775e69a0f01f3ba4353120db768ec3.tar.xz
dnsdist-4d64720cae775e69a0f01f3ba4353120db768ec3.zip
Adding debian version 1.7.3-2.debian/1.7.3-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/dnsdist.postinst')
-rw-r--r--debian/dnsdist.postinst40
1 files changed, 40 insertions, 0 deletions
diff --git a/debian/dnsdist.postinst b/debian/dnsdist.postinst
new file mode 100644
index 0000000..8a4fda1
--- /dev/null
+++ b/debian/dnsdist.postinst
@@ -0,0 +1,40 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+
+ adduser --force-badname --system --home /nonexistent --group \
+ --no-create-home --quiet _dnsdist || true
+
+ chown root:_dnsdist /etc/dnsdist/dnsdist.conf
+ chmod g+r /etc/dnsdist/dnsdist.conf
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0